Subject: Re: [email-masked]
From: Rosette Modiri <[email-masked]>
To: Mohd <[email-masked]>
Date: Thu, 5 Mar 2020 13:23:51 -0700 (MST)

we can simply apologize for this inconvenience , but you should refer them to [email-masked] if they wish to talk to a manager. 

From: "Mohd" <[email-masked]> 
To: "Rosette Modiri" <[email-masked]> 
Sent: Friday, 6 March, 2020 00:19:51 
Subject: [email-masked] 

[email-masked] - customer came on chat that she received the unit with broken reflector and kickstand, but has also loose wires. she provided pictures as well. I can see she came on email too and RA has been already created. But she says " I am VERY disappointed in having to send it back. I am a senior citizen and this is my only transportation and I do not have a car. I can see that I don't have a choice. I want to talk to a manager or owner of the store. And yes I am sending it back again. Have the owner call me. 760-484-3905. Today!!!" 

She also said it " You don't even know how hard it is to find someone to take me to the UPS store to drop this off!!!!!!"